org.apache.ignite.internal.processors.cache

## Class WalStateFinishMessage

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.WalStateAbstractMessage
  - - org.apache.ignite.internal.processors.cache.WalStateFinishMessage

All Implemented Interfaces:
  Serializable, DiscoveryCustomMessage

    public class WalStateFinishMessage
    extends WalStateAbstractMessage

WAL state finish message.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WalStateFinishMessage(UUID opId, int grpId, IgniteUuid grpDepId, boolean changed, @Nullable String errMsg)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `changed()`
`@Nullable String` `errorMessage()`
`boolean` `stopProcess()` See `DiscoverySpiCustomMessage.stopProcess()`.
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.WalStateAbstractMessage

`ackMessage, createDiscoCache, exchangeMessage, exchangeMessage, groupDeploymentId, groupId, id, isMutable, needExchange, operationId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WalStateFinishMessage

    public WalStateFinishMessage(UUID opId,
                                 int grpId,
                                 IgniteUuid grpDepId,
                                 boolean changed,
                                 @Nullable
                                 @Nullable String errMsg)

Constructor.

Parameters:
  `opId` - Unique operation ID.
  `grpId` - Group ID.
  `grpDepId` - Group deployment ID.
  `changed` - Result.
  `errMsg` - Error message.

### Method Detail

#### changed

    public boolean changed()

Returns:
  Result.

#### errorMessage

    @Nullable
    public @Nullable String errorMessage()

Returns:
  Error message.

#### stopProcess

    public boolean stopProcess()

See `DiscoverySpiCustomMessage.stopProcess()`.

Returns:
  `True` if message should not be sent to others nodes after it was processed on coordinator.

#### toString

    public String toString()

Overrides:
  `toString` in class `WalStateAbstractMessage`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020